3 Replies Latest reply: Nov 15, 2012 3:38 PM by JumpingInPuddles
JumpingInPuddles Level 1 Level 1 (0 points)

i have mac os x version 10.6.8.  is Aperture compatible with my version? 


MacBook Pro, Mac OS X (10.6.8)